WebResourceRoot.ArchiveIndexStrategy (Apache Tomcat 9.0.107 API Documentation)
Description: declaration: package: org.apache.catalina, interface: WebResourceRoot, enum: ArchiveIndexStrategy

# Enum WebResourceRoot.ArchiveIndexStrategy

java.lang.Object
java.lang.Enum<WebResourceRoot.ArchiveIndexStrategy>
org.apache.catalina.WebResourceRoot.ArchiveIndexStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<WebResourceRoot.ArchiveIndexStrategy>`, `java.lang.constant.Constable`

Enclosing interface:
  `WebResourceRoot`

public static enum WebResourceRoot.ArchiveIndexStrategy extends Enum<WebResourceRoot.ArchiveIndexStrategy>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOOM`
  `PURGED`
  `SIMPLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getRetain()`
  `boolean`
  `getUsesBloom()`
  `static WebResourceRoot.ArchiveIndexStrategy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WebResourceRoot.ArchiveIndexStrategy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIMPLE

    public static final WebResourceRoot.ArchiveIndexStrategy SIMPLE

  - ### BLOOM

    public static final WebResourceRoot.ArchiveIndexStrategy BLOOM

  - ### PURGED

    public static final WebResourceRoot.ArchiveIndexStrategy PURGED

- ## Method Details

  - ### values

    public static WebResourceRoot.ArchiveIndexStrategy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WebResourceRoot.ArchiveIndexStrategy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getUsesBloom

    public boolean getUsesBloom()

  - ### getRetain

    public boolean getRetain()